--- title: "createCloudMssqlInstance" slug: "database-vmssql-createcloudmssqlinstance" tags: ["Cloud DB for MSSQL"] updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmssql-createcloudmssqlinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createCloudMssqlInstance Available in VPC Create a Cloud DB for MSSQL instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vmssql/v2/createCloudMssqlInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) request headers](/docs/en/database-vmssql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the Cloud DB for MSSQL instance to create - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). | | `vpcNo` | String | Required | Number of VPC to create the Cloud DB for MSSQL instance in - See [getCloudMssqlTargetVpcList](/docs/en/database-vmssql-getcloudmssqltargetvpclist). | | `subnetNo` | String | Required | Subnet number of the default network interface to be used in the Cloud DB for MSSQL instance - See [getCloudMssqlTargetSubnetList](/docs/en/database-vmssql-getcloudmssqltargetsubnetlist). - Subscription to public domains can only be done in a DB server created in public subnet. - Subnet migrations are not available after creating the Cloud DB for MSSQL instance. | | `mirrorSubnetNo` | String | Conditional | Subnet number of the mirror server - Must be entered for multi-zone CloudDB for MSSQL. - See [getCloudMssqlTargetSubnetList](/docs/en/database-vmssql-getcloudmssqltargetsubnetlist). - It must be in a different zone from the principal server's subnet, but the public or private status must match. | | `cloudMssqlServiceName` | String | Required | Cloud DB for MSSQL service name to create - Enter 3-15 characters, including English letters, Korean letters, numbers, and special character "-". | | `configGroupNo` | String | Optional | Cloud DB for MSSQL config group number - A config group created in advance can be applied when you create a server. - If you don't have your own config group, you can choose from the config groups provided by default. - See [getCloudMssqlConfigGroupList](/docs/en/database-vmssql-getcloudmssqlconfiggrouplist). - 0 (default) | | `cloudMssqlImageProductCode` | String | Optional | Cloud DB for MSSQL image product code - See [getCloudMssqlImageProductList](/docs/en/database-vmssql-getcloudmssqlimageproductlist). - Automatically generated by NAVER Cloud Platform (default) | | `cloudMssqlProductCode` | String | Optional | Cloud DB for MSSQL product code - Determine the server specification for the Cloud DB for MSSQL instance to create. - See [getCloudMssqlProductList](/docs/en/database-vmssql-getcloudmssqlproductlist). - Minimum specification (default). - Minimum specification is based on 1. memory and 2. CPU. | | `dataStorageTypeCode` | String | Optional | Data storage type code - Unable to change data storage type after installation - `SSD` \| `HDD` \| `CB2` - Default value changes depending on generationCode of `getCloudMssqlImageProduct`. | | `isHa` | Boolean | Required | High availability status - Selecting `true` (high availability) creates two servers, including a standby master server, and incurs additional fees. - If `false`, `isMultiZone` and `mirrorSubnetNo` parameters are not used. | | `isMultiZone` | Boolean | Optional | Multi-zone status - `true` \| `false` (default) - Can only be entered if the high availability status (`isHa`) is `true`. - If `true`, provide the principal and mirror servers in separate zones to provide higher availability. | | `backupFileRetentionPeriod` | Integer | Optional | Backup file retention period (days) - 1-30 (default: 1) - Backup is performed every day, and the backup file is stored in a separate backup storage. - Fees are charged for the space you use. | | `backupTime` | String | Conditional | Set backup time (HH:MM). - Required if the automatic backup status (`isAutomaticBackup`) is `false` - Enter in 15 minute increments. - e.g., 01:15 | | `isAutomaticBackup` | Boolean | Optional | Whether to set the backup time automatically - `true` (default) \| `false` - If `true`, the backup time is set automatically regardless of `backupTime`. | | `cloudMssqlUserName` | String | Required | DB user account ID - Enter 4-16 characters, including English letters, numbers, and special character "_". - The string must begin with an English letter. | | `cloudMssqlUserPassword` | String | Required | DB user account password - Enter between 8 and 20 characters containing at least one English letter, number, and special character. - Special characters ` " ' \ / & and spaces can't be used. | | `cloudMssqlPort` | Integer | Optional | TCP port number to access the Cloud DB for MSSQL instance - `1433` (default) - Specified range: 10000-20000 | | `characterSetName` | String | Optional | DB character set - See [getCloudMssqlCharacterSetList](/docs/en/database-vmssql-getcloudmssqlcharactersetlist). - Select between Korean and English collation. - `Korean_Wansung_CI_AS` (default) \| `SQL_Latin1_General_CP1_CI_AS` - `Korean_Wansung_CI_AS`: Korean perfect form - `SQL_Latin1_General_CP1_CI_AS`: English version | | `engineVersionCode` | String | Conditional | DB engine version - See [getCloudMssqlImageProductList](/docs/en/database-vmssql-getcloudmssqlimageproductlist). - If not entered, it is created with the latest version currently available. | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmssql/v2/createCloudMssqlInstance ?regionCode=KR &vpcNo=59*** &subnetNo=140*** &mirrorSubnetNo=158*** &cloudMssqlServiceName=mssql003 &configGroupNo=*** &cloudMssqlImageProductCode=SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100 &cloudMssqlProductCode=SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002 &dataStorageTypeCode=SSD &isHa=true &isMultiZone=true &backupFileRetentionPeriod=1 &backupTime=10:15 &isAutomaticBackup=false &cloudMssqlUserName=user000 &cloudMssqlUserPassword=********* &cloudMssqlPort=1433 &characterSetName=Korean_Wansung_CI_AS &engineVersionCode=15.0.4355.3 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [CloudMssqlInstanceList](/docs/en/common-vapidatatype-cloudmssqlinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MSSQL (VPC) APIs, see [Cloud DB for MSSQL (VPC) response status codes](/docs/en/database-vmssql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - If `responseFormatType=json` ``` { "createCloudMssqlInstanceResponse": { "totalRows": 1, "cloudMssqlInstanceList": [ { "cloudMssqlInstanceNo": "2528****", "cloudMssqlServiceName": "mssql003", "cloudMssqlInstanceStatusName": "creating", "cloudMssqlInstanceStatus": { "code": "INIT", "codeName": "CLOUD DATABASE(VPC) Init State" }, "cloudMssqlInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Creat OP" }, "generationCode": "G2", "cloudMssqlImageProductCode": "SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100", "isHa": true, "isMultiZone": true, "license": { "code": "SPLA", "codeName": "Service Provider License Agreement" }, "cloudMssqlPort": 1433, "backupFileRetentionPeriod": 1, "backupTime": "10:15", "configGroupNo": "***", "configGroupName": "mssql_2019_default", "engineVersion": "MSSQL 15.0.4355.3 Enterprise Edition", "createDate": "2024-07-01T11:34:11+0900", "dbCollation": "Korean_Wansung_CI_AS", "cloudMssqlServerInstanceList": [ { "cloudMssqlServerName": "m-2528****-001", "cloudMssqlServerRole": { "code": "M", "codeName": "Principal" }, "cloudMssqlServerInstanceStatusName": "creating", "cloudMssqlServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE(VPC) Server Pending State" }, "cloudMssqlServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Server Create OP" }, "regionCode": "KR", "zoneCode": "KR-1", "vpcNo": "59***", "subnetNo": "140***", "dataStorageSize": 107374182400, "cpuCount": 2, "memorySize": 4294967296, "isPublicSubnet": true, "cloudMssqlProductCode": "SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002", "createDate": "2024-07-01T11:34:11+0900", "dataStorageType": { "code": "SSD", "codeName": "SSD" } }, { "cloudMssqlServerName": "m-2528****-002", "cloudMssqlServerRole": { "code": "H", "codeName": "Mirror" }, "cloudMssqlServerInstanceStatusName": "creating", "cloudMssqlServerInstanceStatus": { "code": "PEND", "codeName": "CLOUD DATABASE(VPC) Server Pending State" }, "cloudMssqlServerInstanceOperation": { "code": "CREAT", "codeName": "CLOUD DATABASE(VPC) Server Create OP" }, "regionCode": "KR", "zoneCode": "KR-2", "vpcNo": "59***", "subnetNo": "158***", "dataStorageSize": 107374182400, "cpuCount": 2, "memorySize": 4294967296, "isPublicSubnet": true, "cloudMssqlProductCode": "SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002", "createDate": "2024-07-01T11:34:11+0900", "dataStorageType": { "code": "SSD", "codeName": "SSD" } } ] } ], "requestId": "7e05dba1-****-****-****-e463eb447507", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` 7e05dba1-****-****-****-e463eb447507 0 success 1 2528**** mssql003 creating INIT CLOUD DATABASE(VPC) Init State CREAT CLOUD DATABASE(VPC) Creat OP G2 SW.VMSSL.OS.WND64.WINNT.SVR2016.MSSQL.15043553.EE.B100 true true SPLA Service Provider License Agreement 1433 1 10:15 *** mssql_2019_default MSSQL 15.0.4355.3 Enterprise Edition 2024-07-01T11:34:11+0900 Korean_Wansung_CI_AS m-2528****-001 M Principal creating PEND CLOUD DATABASE(VPC) Server Pending State CREAT CLOUD DATABASE(VPC) Server Create OP KR KR-1 59*** 140*** 107374182400 2 4294967296 true SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002 2024-07-01T11:34:11+0900 SSD SSD m-2528****-002 H Mirror creating PEND CLOUD DATABASE(VPC) Server Pending State CREAT CLOUD DATABASE(VPC) Server Create OP KR KR-2 59*** 158*** 107374182400 2 4294967296 true SVR.VMSSL.HICPU.C002.M004.NET.HDD.B100.G002 2024-07-01T11:34:11+0900 SSD SSD ```